package repository

import "context"

type thirdAgentCorpRepository interface {
	QueryPage(ctx context.Context, page, size int) *[]FThirdAgentCorpRelationDO
	FindById(ctx context.Context, id uint64) *FThirdAgentCorpRelationDO
	Count(ctx context.Context) int64

	Create(ctx context.Context, data *FThirdAgentCorpRelationDO) error
	UpdateById(ctx context.Context, data FThirdAgentCorpRelationDO) error
	deleteById(ctx context.Context, id uint64, operator string) error
}

var ThirdAgentCorp thirdAgentCorpRepository = new(thirdAgentCorpRepositoryImpl)
