package repository

import "context"

type thirdCorpUserLogRepository interface {
	QueryList(ctx context.Context, id uint64, size int) *[]FThirdCorpUserLogDO
	FindById(ctx context.Context, id uint64) *FThirdCorpUserLogDO
	Create(ctx context.Context, data *FThirdCorpUserLogDO) error
}

var ThirdCorpUserLog thirdCorpUserLogRepository = new(thirdCorpUserLogRepositoryImpl)
