package repository

import "context"

type thirdUserTokenRepository interface {
	FindByToken(ctx context.Context, token string) *FThirdUserTokenDO
	FindByBizAndCorpId(ctx context.Context, bizId, corpUid uint64) *FThirdUserTokenDO

	SaveUserLoginToken(ctx context.Context, data *FThirdUserTokenDO) error

	UpdateUserLoginToken(ctx context.Context, data *FThirdUserTokenDO) error
}

var ThirdUserToken thirdUserTokenRepository = new(thirdUserTokenRepositoryImpl)
